/*
 *  ngtk/c/ngtk_slang.c
 *
 *  Copyright (C) 1998, 1999 Gabriel Fort <gabx@tfz.net>
 *	This piece of code comes directly from the file cslang.txt, the SLang
 *	library documentation, from the SLang package,
 *	Copyright (C) 1992, 1998 John E. Davis <davis@space.mit.edu>
 *
 */

/*----------------------------------------------------------------------------

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the 
    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
    Boston, MA  02111-1307  USA.

----------------------------------------------------------------------------*/
#include <ngtk/ngtk.h>

void ngtk_init_slang(void)
{
#ifdef HAVE_SLANG
    SLtt_get_terminfo();
    if (-1 == SLkp_init()) {
        SLang_doerror("SLkp_init failed.");
        exit(1);
    }
    if (-1 == SLang_init_tty(-1, 0, 1)) {
        SLang_doerror("SLang_init_tty failed.");
        exit(1);
    }
#endif
}

